user www-data;
worker_processes auto;
pid /run/nginx.pid;
include /etc/nginx/modules-enabled/*.conf;

events {
	worker_connections 768;
	# multi_accept on;
}

http {

	##
	# Basic Settings
	##

	sendfile on;
	tcp_nopush on;
	tcp_nodelay on;
	keepalive_timeout 65;
	types_hash_max_size 2048;
	# server_tokens off;

	# server_names_hash_bucket_size 64;
	# server_name_in_redirect off;

	include /etc/nginx/mime.types;
	default_type application/octet-stream;

	##
	# SSL Settings
	##

	ssl_protocols TLSv1 TLSv1.1 TLSv1.2; # Dropping SSLv3, ref: POODLE
	ssl_prefer_server_ciphers on;

	##
	# Logging Settings
	##

	access_log /var/log/nginx/access.log;
	error_log /var/log/nginx/error.log;

	##
	# Gzip Settings
	##

	gzip on;

	# gzip_vary on;
	# gzip_proxied any;
	# gzip_comp_level 6;
	# gzip_buffers 16 8k;
	# gzip_http_version 1.1;
	# gzip_types text/plain text/css application/json application/javascript text/xml application/xml application/xml+rss text/javascript;

	##
	# Virtual Host Configs
	##

server {
    listen 443 ssl;
        listen [::]:443 ssl;

        listen 80;
        listen [::]:80;

        include snippets/self-signed.conf;

    location / {
        proxy_pass http://localhost:80/;
    }
}

#--------------------------

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;

	include snippets/self-signed.conf;
	
    server_name ww0.urmom.live;

    location / {
        proxy_pass http://localhost:60080/;
    }
}

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name ww1.urmom.live;

    location / {
        proxy_pass http://localhost:60081/;
    }
}

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name ww2.urmom.live;

    location / {
        proxy_pass http://localhost:60082/;
    }
}

# ------------------------------- old urmom.live sites \/

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name urmom.live;

    location / {
        proxy_pass http://localhost:60680;
    }   
}

#server {
#    listen 443 ssl;
#    listen [::]:443 ssl;
#	
#	 listen 80;
#	 listen [::]:80;
#
#	 include snippets/self-signed.conf;
#
#    server_name dino.urmom.live;
#
#    location / {
#        proxy_pass http://localhost:8081;
#    }   
#}

#server {
#    listen 443 ssl;
#	 listen [::]:443 ssl;
#	
#	 listen 80;
#	 listen [::]:80;
#
#	 include snippets/self-signed.conf;
#
#    server_name ssh.urmom.live;
#
#    location / {
#        proxy_pass http://127.0.0.1:9090;
#        proxy_http_version 1.1;
#        proxy_read_timeout 300;
#        proxy_set_header Upgrade $http_upgrade;
#        proxy_set_header Connection "upgrade";
#        proxy_set_header Host $http_host;
#        proxy_set_header X-Real-IP $remote_addr;
#        proxy_set_header X-Real_PORT $remote_port;
#    }
#}

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name bob.urmom.live;

    location / {
        proxy_pass http://localhost:60682;
    }   
}

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name dw.urmom.live;

    location / {
        proxy_pass http://localhost:60683;
    }   
}

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name test.urmom.live;

    location / {
        proxy_pass http://localhost:60684;
    }   
}

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name ree.urmom.live;
    
    location / {
        proxy_pass http://localhost:60685;
    }
}

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name sus.urmom.live;

    location / {
        proxy_pass http://localhost:60686;
    }
}

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name beans.urmom.live;

    location / {
        proxy_pass http://localhost:60687;
    }
}

#server {
#    listen 443 ssl;
#	 listen [::]:443 ssl;
#	
#	 listen 80;
#	 listen [::]:80;
#
#	 include snippets/self-signed.conf;
#
#    server_name chat.urmom.live;
#
#    location / {
#        proxy_pass http://localhost:8088;
#    }   
#}

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name multitest.urmom.live;

    location / {
        proxy_pass http://localhost:60681;
    }   
}

#server {
#    listen 443 ssl;
#	 listen [::]:443 ssl;
#	
#	 listen 80;
#	 listen [::]:80;
#
#	 include snippets/self-signed.conf;
#
#    server_name camtest.urmom.live;
#
#    location / {
#        proxy_pass http://localhost:59595;
#    }   
#}

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name idiot.urmom.live;
    
    return 301 https://youtu.be/cvh0nX08nRw;
}

server {
    listen 443 ssl;
	listen [::]:443 ssl;
	
	listen 80;
	listen [::]:80;
	
	include snippets/self-signed.conf;
	
    server_name project.urmom.live;

    location / {
        proxy_pass http://localhost:60688;
    }   
}

server {
    listen 443 ssl;
        listen [::]:443 ssl;

        listen 80;
        listen [::]:80;

        include snippets/self-signed.conf;

    server_name project2.urmom.live;

    location / {
        proxy_pass http://localhost:60689;
    }
}

#----------------------------------------------

	include /etc/nginx/conf.d/*.conf;
	include /etc/nginx/sites-enabled/*;
}


#mail {
#	# See sample authentication script at:
#	# http://wiki.nginx.org/ImapAuthenticateWithApachePhpScript
# 
#	# auth_http localhost/auth.php;
#	# pop3_capabilities "TOP" "USER";
#	# imap_capabilities "IMAP4rev1" "UIDPLUS";
# 
#	server {
#		listen     localhost:110;
#		protocol   pop3;
#		proxy      on;
#	}
# 
#	server {
#		listen     localhost:143;
#		protocol   imap;
#		proxy      on;
#	}
#}
